<template>
  <b-row>
    <b-col v-for="country in items" :key="country.alpha2Code" lg="3">
      <div class="c-country-item">
        <nuxt-link :to="`country/${country.alpha3Code.toLowerCase()}`" />
        <b-aspect aspect="4:3" class="position-relative">
          <b-img-lazy
            v-bind="mainProps"
            :src="country.flag"
            :alt="country.name"
          />
        </b-aspect>
        <div class="country-item__content">
          <h2 class="title">{{ country.name }}</h2>
          <ul class="details">
            <li>
              <span>Population:</span> {{ country.population.toLocaleString() }}
            </li>
            <li><span>Region:</span> {{ country.region }}</li>
            <li><span>Capital:</span> {{ country.capital }}</li>
          </ul>
        </div>
      </div>
    </b-col>
  </b-row>
</template>

<script>
export default {
  props: {
    items: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      mainProps: {
        center: true,
        fluidGrow: true,
        blank: true,
        blankColor: '#bbb',
        class: 'ratio-img',
      },
    }
  },
}
</script>

<style lang="scss" scoped>
.c-country-item {
  @include themed() {
    background: t('bg-secondary');
  }
  position: relative;
  box-shadow: 0px 4px 10px -10px rgba(0, 0, 0, 0.9);
  margin-bottom: 70px;
  border-radius: $b-radius;
  top: 0px;
  transition: all 0.3s;
  &:hover {
    top: -10px;
    box-shadow: 0px 4px 10px -5px rgba(0, 0, 0, 0.9);
  }
  a {
    width: 100%;
    height: 100%;
    position: absolute;
    background: transparent;
    z-index: 2;
  }
  img {
    border-radius: $b-radius $b-radius 0 0;
  }
  .title {
    font-size: 1rem;
    font-weight: 800;
    margin-bottom: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .country-item__content {
    padding: 30px 25px;
    font-size: 0.875rem;
  }
  .details {
    li {
      span {
        font-weight: 600;
      }
    }
  }
}
@media (max-width: 767px) {
  .c-country-item {
    margin: 0px 30px 30px;
    img {
      margin: 0px !important;
    }
  }
}
</style>
